[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# envp

Pointer to the array of environment variables

## Declaration

Source position: sysunixh.inc line 67

`var envp: PPChar;`

## Description

envp contains a pointer to a nil-terminated array of null-terminated strings, containing the environment variables passed to the program by the OS. It is not available on all systems.

## See also

argc |  | Number of command-line arguments.
argv |  | Pointer to the array of command-line arguments